// Copyright 2021, Chef.  All rights reserved.
// https://github.com/q191201771/lal
//
// Use of this source code is governed by a MIT-style license
// that can be found in the License file.
//
// Author: Chef (191201771@qq.com)

package main

import (
	"flag"
	"fmt"
	"os"
	"strings"
	"time"

	"github.com/q191201771/naza/pkg/nazalog"
)

func main() {
	i := flag.String("i", "", "specify pull rtmp url")
	o := flag.String("o", "", "specify push rtmp url list, separated by a comma")
	flag.Parse()
	if *i == "" || *o == "" {
		flag.Usage()
		_, _ = fmt.Fprintf(os.Stderr, `Example:
  %s -i rtmp://127.0.0.1/live/test110 -o rtmp://127.0.0.1/live/test220
  %s -i rtmp://127.0.0.1/live/test110 -o rtmp://127.0.0.1/live/test220,rtmp://127.0.0.1/live/test330
`, os.Args[0], os.Args[0])
	}

	ol := strings.Split(*o, ",")
	PullRTMP2PushRTMP(*i, ol)

	nazalog.Info("done.")
	time.Sleep(60 * time.Second)
}
